Subject: RE: bug#8856: 24.0.50; regression: special-display-frame is no longer dedicated

From: "Drew Adams" <[email-masked]>
Date: Mon, 20 Jun 2011 06:01:22 -0700

>  > I've pared down the code to load.  Just load the attached 
>  > and then follow the recipe:
>  > M-x f TAB ; to display *Completions* frame.
>  > C-]       ; to return to top level.
>  > M-x f TAB o
>  > Or just hit TAB twice in a row: M-x f TAB TAB.  IOW, try 
>  > to type more input in minibuffer.
>  > This then raises the error
>  > "Buffer is read-only #<buffer *Completions*>"
> 
> I suppose that after "loading the attached" I have to call 
> `1on1-emacs' in order to set up things first.  Only then I should
> try the M-x f TAB stuff.
> 
> If I do that, I can see different behaviors indeed.  I'll look into
> this.

Great, thanks.

Actually, I meant that you need to do this, as stated earlier (for the earlier
load files):

runemacs.exe -Q --debug-init -l "throw-one.el" -f "1on1-emacs"

IOW, I believe that you must invoke `1on1-emacs' from the command line this way,
so it is called before any frames are displayed.

Otherwise, you will end up with two minibuffers: the standalone minibuffer frame
will not function for some things; rather, the initial minibuffer (in a normal
frame) will be used.

At least that's what I see on Windows, and I expect that it is the case for you
too.  Please run Emacs this way for testing this, so we're on the same page.